<template>
  <div class="flex items-center col-grow">
    <q-btn
      round
      icon="drag_handle"
      class="editor__drag-handle q-mr-sm"
      size="xs"
    />
    <q-input
      v-model="editor.title"
      inverted-light
      color="white"
      stack-label="Title"
      class="col-grow"
    />
    <q-input
      v-model="editor.width"
      type="number"
      :min="0"
      :max="100"
      :step="1"
      inverted-light
      color="white"
      stack-label="Width"
      class="q-ml-sm"
      suffix="%"
    />
    <q-color
      v-model="editor.color"
      inverted-light
      color="white"
      stack-label="Backgound color"
      class="q-ml-sm"
      format-model="hex"
    />
    <q-checkbox
      v-model="editor.useInEditor"
      label="Use in editor"
      class="q-ml-sm"
    />
    <q-checkbox
      v-model="editor.useAsInline"
      label="Use as inline"
      class="q-ml-sm"
    />
    <q-btn
      icon="build"
      round
      color="blue"
      class="q-ml-sm"
      @click="edit"
    />
    <q-btn
      icon="delete"
      round
      color="red"
      class="q-ml-sm"
      @click="remove"
    />
  </div>
</template>

<script>
  export default {
    name: 'editor',
    props: {
      editor: {
        type: Object,
      },
      availableFields: {
        type: Array,
      },
    },
    methods: {
      edit() {
        this.$emit('edit');
      },
      remove() {
        this.$emit('remove');
      },
    },
  };
</script>
